Bug 460121 - RHEL4U7 GA cpu usage raise to 100% for 30s when plugin a usb1.1 device
RHEL4U7 GA cpu usage raise to 100% for 30s when plugin a usb1.1 device
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: rc
: 4.8
Assigned To: Pete Zaitcev
Martin Jenner
Depends On:
Blocks: AMD4.8
  Show dependency treegraph
Reported: 2008-08-26 05:52 EDT by Andiry
Modified: 2010-10-23 00:02 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-25 14:52:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andiry 2008-08-26 05:52:24 EDT
Description of problem:
RHEL4U7 GA cpu usage raise to 100% for 30s when plugin a usb1.1 device

Version-Release number of selected component (if applicable):
RHEL4U7, 2.6.9-78.EL.  

How reproducible:

Steps to Reproduce:
1. install RHEL4U7 GA 32bit or 64bit
2. boot to 2.6.9-78.EL kernel, NOT smp kernel
3. unplug a usb mouse and re- insert, system become slow, meanwhile cpu usage raised to 100%, for about 30s.
Actual results:
Cpu usage raised to 100% for 30s.

Expected results:
Cpu usage should return to normal in a short time.

Additional info:
Comment 1 Russell Doty 2008-08-26 10:10:39 EDT
What chipsets is this occurring with? Does it occur with other USB 1.1 devices? Do USB 2.0 devices behave properly?
Comment 2 Andiry 2008-08-26 21:21:48 EDT
We found this issue occur on AMD SB700 and Intel ICH6. 
It also occurs with other USB 1.1 devices like USB keyboard and USB1.1 speaker.
USB 2.0 devices behave properly.
Comment 3 Issue Tracker 2008-10-15 17:59:04 EDT
(sending this to the engineering bugzilla too)

I am able to reproduce this in my environment. Here are my observations so

On RHEL4.7, I do see a CPU spike for around 5 - 10 seconds but not as long
as 30 seconds. This occurs on both the SB700 and BCM5785 systems at my
desk. This noticeably slows down the entire system - for example, when
plugging in USB speakers the mouse becomes quite choppy for several
seconds. This occurs whether X is running or not (regardless of runlevel),
and with kernel-smp there is a CPU spike but it doesn't seem noticeable.

Right before leaving today, I installed RHEL4.5 (to see if this was
possibly a regression) and it seems to handle device plugging much better.
The CPU spike only lasts for 1 or 2 seconds and isn't noticeable to the
user. AMD, could you try installing RHEL4.5 to verify my observation?

This event sent from IssueTracker by emcnabb 
 issue 215950
Comment 4 Andiry 2008-10-15 23:28:38 EDT
(Copy from issue-tracker)

Yeah, Evan, you are right.

I verified on RHEL 4.5 (2.6.9-55.EL), the symptom is much better compared to RHEL 4.6. 

I use a USB 1.1 speaker to veirfy. On RHEL 4.5, only the first time plug in the device will cause a CPU spike for about 2-3 seconds, and then plug-out and plug in the same device, there is no CPU spike anymore. While on RHEL 4.6, each time plug in the same device, the CPU spike lasts for about 10 seconds.
Comment 7 Pete Zaitcev 2009-01-13 13:45:24 EST
I am unable to see it on 2.6.9-78.12.EL, but my userland is behind:

hal-0.4.2-8.EL4 (i386)

N.B., using speakers is not possible unless bug 460100 is fixed (or at
least my patch attached there is applied).

I exchanged e-mails with Evan regarding the circumstances, and he says
this is possible to trigger with a keyboard. His configuration that
produces a noticeable spike is a keybord directly attached to OHCI.

Note You need to log in before you can comment on or make changes to this bug.